dots.v2.byoip_prefixes.post()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.byoip_prefixes.post(body: Byoip_prefix_create, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Byoip_prefixesPostResponse>

Description

To create a BYOIP prefix, send a POST request to /v2/byoip_prefixes.

A successful request will initiate the process of bringing your BYOIP Prefix into your account. The response will include the details of the created prefix, including its UUID and status.

Parameters

prefix string required

Example: 203.11.13.0/24

The IP prefix in CIDR notation to bring

region string required

Example: nyc3

The region where the prefix will be created

signature string required

Example: <sample-signature>

The signature hash for the prefix creation request

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.byoip_prefixes.post({
    prefix: "203.11.13.0/24",
    region: "nyc3",
    signature: "<sample-signature>",
});

Response Example

Show Response Example
{
  "byoip_prefix": {
    "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "status": "in_progress",
    "region": "nyc3"
  }
}

More Information

See /v2/byoip_prefixes in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.